Skip to main content

Approve Order API:

Usage: Use this API to Approve an order.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/approve_orders
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/approve_orders' \
--header 'rapidshyp-token:HQ$f**********oZ \
--header 'Content-Type: application/json' \
--data '{
"order_id": [
"1111111111"
],
"store_name": "DEFAULT"
}'
Request ParametersRequiredRemarkValidation
{
orderIdMandatoryOrder ID created on Rapid ShypShould be a valid order ID
storeNameMandatoryStore name of order on RapidshypShould be a valid store name ID
}

Response:

JSON
{
"status": "success",
"remark": "Approved orders successfully"
}